
/*
@The skeleton was generated by VUTGenerator@
=======================================
module_name: register8b
---------------------------------------
Author: <author>
Data: <date>
---------------------------------------
Description: <description>
=======================================
*/

module register8b(clk,in_data,clear,load,out_data);
//Inputs
    input [7:0] in_data;
    input clear;
    input clk;
    input load;

//Outputs
    output [7:0] out_data;

//Wires
    wire [7:0] in_data;
    wire clear;
    wire clk;
    wire load;

//Regs
    reg [7:0] out_data;

//Behavior


//initial out_data = 0;

always @ (posedge clk) begin
    if (clear) 
        out_data <= 0;
    else if (load)  
        out_data <= in_data;
    end

always @ (posedge clear) out_data <= 0;

endmodule
